﻿using System;
using System.Drawing;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            HtmlLink htmlLink = new HtmlLink();

            htmlLink.Href = "~/CSS/Test.css";

            htmlLink.Attributes.Add("rel" , "stylesheet");
            htmlLink.Attributes.Add("type", "text/css"  );

            HtmlHead htmlHead = Page.Header;

            htmlHead.Controls.Add(htmlLink);

            Style divStyle = new Style();

            divStyle.ForeColor   = Color.Blue;
            divStyle.Font.Name   = "나눔고딕코딩";
            divStyle.Font.Size   = 12;
            divStyle.Font.Italic = true;

            Page.Header.StyleSheet.CreateStyleRule(divStyle, null, "body, div");

            Style buttonStyle = new Style();

            buttonStyle.ForeColor = Color.Navy;
            buttonStyle.Font.Name = "나눔고딕코딩";
            buttonStyle.Font.Size = 12;

            Page.Header.StyleSheet.RegisterStyle(buttonStyle, null);

            this.reloadButton.CssClass   = buttonStyle.RegisteredCssClass;
            this.postBackButton.CssClass = buttonStyle.RegisteredCssClass;

            if(!Page.IsPostBack)
            {
                Response.Write("[1] 폼이 처음 로드할 때에만 실행<br />");
            }

            if(Page.IsPostBack == false)
            {
                Response.Write("[2] 폼이 처음 로드할 때에만 실행<br />");
            }

            Response.Write("[3] 폼이 로드할 때마다 실행<br />");
        }

        #endregion
        #region 다시 게시(PostBack) 버튼 클릭시 처리하기 - postBackButton_Click(sender, e)

        /// <summary>
        /// 다시 게시(PostBack) 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void postBackButton_Click(object sender, EventArgs e)
        {
            string javaScript = @"
<script>
window.alert('포스트백 됨');
</script>
            ";

            ClientScript.RegisterClientScriptBlock(this.GetType(), "TestScript", javaScript);
        }

        #endregion
        #region 다시 로드 버튼 클릭시 처리하기 - reloadButton_Click(sender, e)

        /// <summary>
        /// 다시 로드 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void reloadButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("MainPage.aspx");
        }

        #endregion
    }
}